Status of KDE PIM in zesty

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Status of KDE PIM in zesty

Rik Mills-2
As I'm sure most are aware, we have not yet uploaded and update of KDE
PIM from 16.04.3 to 16.12.x to zesty archive.

The delay has been as result of initially lacking the required
QtWebEngine, and then required gpgme1.0 >= 1.7.x with the qt dev/cmake
files built.

QtWebEngine only builds in zesty for amd64, i386 and armhf, while
gpgme1.0 is still FTBFS on armhf, arrm64 and powerpc.

Upshot of that is that under those conditions, most of the PIM suite
will only build on amd64 and i386 (with some partial success on other
archs up to the point where those deps cause it all to go south).

Some test builds in my ppa also suggest some symbols issue with building
against what working gpgme1.0 we might have.

So I would like a meeting of devs, ninjas etc, formal or informal, to
discuss what if any is the best way forward, especially considering that
feature freeze is 16th Feb.

There is not only the technical issues of getting stuff built, but of
getting any new split sources required for new PIM through new source
approval, should we want to try to update PIM as it stands.

Myself, Clive and a few others have a semi-regular informal dev/nija
meeting at 3pm UTC on BBB on Saturdays, so that may be a convenient time
and venue to do this. However, if we want to or can do slightly sooner,
I am happy with that also.

Thanks

Rik

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Loading...